#include "main.h"
#include "font.h"

/* Private constants */
#define MAX_COLUMN    (DISPLAY_COLUMNS - 1)
#define FONT_WIDTH    8

/* Private variables */
/* Exported fuctions */
/**
 * @brief Out ot display one symbol in specified column
 * 
 * @param symb Symbol to display
 * @param column column from 0 to DISPLAY_COLUMNS-1
 */
void display_Char(const uint8_t symb, const uint8_t column) {
  int i=0, c = column;

  if (c > MAX_COLUMN) {
    c = MAX_COLUMN;
  }

  while ((i < FONT_WIDTH) && (c < DISPLAY_COLUMNS)) {
    display_Buffer[c] = Font_6x8[symb][i];
    i ++;
    c ++;
  }
}

